package es.dalocar.software.test;

import java.util.Iterator;
import java.util.List;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import es.dalocar.software.beans.Cliente;
import es.dalocar.software.daos.ClienteDAO;

public class TestClass {
		
	public static void main(String args[]) {
		
		ApplicationContext context = new ClassPathXmlApplicationContext("applicationContext.xml");
		
		
		ClienteDAO clienteDAO = (ClienteDAO)context.getBean("clienteDAO");
		List listaClientes = clienteDAO.findAll();
		Iterator it = listaClientes.iterator();
		while(it.hasNext()) {
			Cliente cliente = (Cliente) it.next();
			System.out.println(cliente.toString());
		}
		

//	
//		clienteDAO.persist(getCliente());
//		System.out.println(clienteDAO.findById(new Integer(1)));
	}
	
	
	
	private static Cliente getCliente() {
		Cliente cliente = new Cliente();
		cliente.setActivo(new Boolean(true));
		cliente.setCif("1111111H");
		cliente.setCp("46026");
		cliente.setDireccion("Isla Cabrera ");
		cliente.setFax("963740021");
		//cliente.setIdentificador(new Integer(1));
		cliente.setNombre("David");
		cliente.setPoblacion("Valencia");
		cliente.setProvincia("Valencia");
		cliente.setTelefono("963719929");
		return cliente;
	}
	
	
}
